org.keycloak.services.managers

## Class TokenManager.AccessTokenResponseBuilder

- java.lang.Object
- - org.keycloak.services.managers.TokenManager.AccessTokenResponseBuilder

- Enclosing class:
    TokenManager

      public class TokenManager.AccessTokenResponseBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenManager.AccessTokenResponseBuilder(RealmModel realm, ClientModel client, EventBuilder event)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenManager.AccessTokenResponseBuilder` | `accessToken(AccessToken accessToken)`
    `AccessTokenResponse` | `build()`
    `TokenManager.AccessTokenResponseBuilder` | `generateAccessToken(String scopeParam, ClientModel client, UserModel user, UserSessionModel session)`
    `TokenManager.AccessTokenResponseBuilder` | `generateIDToken()`
    `TokenManager.AccessTokenResponseBuilder` | `generateRefreshToken()`
    `TokenManager.AccessTokenResponseBuilder` | `refreshToken(RefreshToken refreshToken)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenManager.AccessTokenResponseBuilder

          public TokenManager.AccessTokenResponseBuilder(RealmModel realm,
                                                 ClientModel client,
                                                 EventBuilder event)

  - ### Method Detail

    - #### accessToken

          public TokenManager.AccessTokenResponseBuilder accessToken(AccessToken accessToken)

    - #### refreshToken

          public TokenManager.AccessTokenResponseBuilder refreshToken(RefreshToken refreshToken)

    - #### generateAccessToken

          public TokenManager.AccessTokenResponseBuilder generateAccessToken(String scopeParam,
                                                                    ClientModel client,
                                                                    UserModel user,
                                                                    UserSessionModel session)

    - #### generateRefreshToken

          public TokenManager.AccessTokenResponseBuilder generateRefreshToken()

    - #### generateIDToken

          public TokenManager.AccessTokenResponseBuilder generateIDToken()

    - #### build

          public AccessTokenResponse build()

Copyright © 2014. All Rights Reserved.